Post by Theking2 » Tue Feb 12, 2019 5:31 pm

Hi running the upgrade script in 2.3.0.2 produces the error below. How do we perform and upgrade to 2.3?

Error Code(0): Error: Unknown column 'customer_activity_id' in 'where clause'
Error No: 1054
UPDATE `customer_activity` SET `customer_activity_id` = `activity_id` WHERE `customer_activity_id` IS NULL or `customer_activity_id` = '

Newbie

Posts

Joined
Mon Mar 12, 2018 10:08 pm

Post by thekrotek » Tue Feb 12, 2019 8:54 pm

OpenCart never had any upgrade routine, all upgrades are manual. You need to manually update all your database tables or ask for commercial support, if you can't do this yourself.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member

Posts

Joined
Sun Jul 03, 2016 12:24 am


Post by xxvirusxx » Tue Feb 12, 2019 10:32 pm

Upgrade from what version to 2.3?
You can try to disable all extension then to try upgrade.

My Extensions | OC 3.0.3.1, 3.0.2.0, 2.3.0.2 with bugs fixed | 2.3.0.2 Custom version | Buy me a beer or coffee


Active Member

Posts

Joined
Tue Jul 17, 2012 10:35 pm
Who is online

Users browsing this forum: No registered users and 11 guests